@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
}

// user info
app-user-info {
  flex-wrap: nowrap;

  ::ng-deep {
    .app-right {
      width: calc(100% - 36px);

      .app-name,
      .app-email {
        width: 100%;
      }
    }
  }
}

// options
app-more-options {
  position: absolute;
  top: -5px;
  right: -1px;

  ::ng-deep {
    .app-options {
      width: 180px;
    }
  }

  // divider
  .app-divider {
    width: 100%;
    height: 1px;
    background-color: $solitude;
    margin: 7px 0;
  }
}
